# Interface yii\base\DynamicContentAwareInterface

Implemented by | yii\base\View, yii\filters\PageCache, yii\web\View, yii\widgets\FragmentCache
Available since version | 2.0.14
Source Code | https://github.com/yiisoft/yii2/blob/master/framework/base/DynamicContentAwareInterface.php

DynamicContentAwareInterface is the interface that should be implemented by classes which support a yii\base\View dynamic content feature.

## Public Methods

Hide inherited methods

Method | Description | Defined By
--- | --- | ---
addDynamicPlaceholder() | Adds a placeholder for dynamic content. | yii\base\DynamicContentAwareInterface
getDynamicPlaceholders() | Returns a list of placeholders for dynamic content. This method is used internally to implement the content caching feature. | yii\base\DynamicContentAwareInterface
setDynamicPlaceholders() | Sets a list of placeholders for dynamic content. This method is used internally to implement the content caching feature. | yii\base\DynamicContentAwareInterface

## Method Details

addDynamicPlaceholder() public abstract method

Adds a placeholder for dynamic content.

This method is used internally to implement the content caching feature.

public abstract void addDynamicPlaceholder ( $name, $statements )
$name | string | The placeholder name.
$statements | string | The PHP statements for generating the dynamic content.

getDynamicPlaceholders() public abstract method

Returns a list of placeholders for dynamic content. This method is used internally to implement the content caching feature.

public abstract array getDynamicPlaceholders ( )
return | array | A list of placeholders.

setDynamicPlaceholders() public abstract method

Sets a list of placeholders for dynamic content. This method is used internally to implement the content caching feature.

public abstract void setDynamicPlaceholders ( $placeholders )
$placeholders | array | A list of placeholders.